Get orders
curl --request GET \
--url https://v2.55-tech.com/orders \
--header 'x-api-key: <api-key>'import requests
url = "https://v2.55-tech.com/orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://v2.55-tech.com/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"orderId": 371,
"requestUuid": "9eb7d99a-ab9b-41f3-9a06-23e70006bbe5",
"allowedBookmakers": "*",
"fixtureId": "id1000004461512432",
"outcomeId": 103,
"playerId": 0,
"orderPrice": 1.95,
"orderStake": 50,
"filledStake": 0,
"userRef": "bettor1234",
"testOrder": false,
"orderCurrency": "USD",
"back": true,
"expiresAt": "2026-02-07T16:15:53.270816+00:00",
"acceptBetterOdds": true,
"acceptPartialStake": true,
"clientName": "demo",
"orderStatus": "PENDING",
"createdAt": "2026-02-07T16:15:48.270816+00:00",
"updatedAt": "2026-02-07T16:15:48.270816+00:00",
"meta": null,
"bets": [],
"fixtureInfo": {
"fixtureId": "id1000004461512432",
"status": {
"live": false,
"statusId": 0,
"statusName": "Pre-Game"
},
"sport": {
"sportId": 10,
"sportName": "Soccer"
},
"tournament": {
"tournamentId": 44,
"tournamentName": "2. Bundesliga",
"categoryName": "Germany"
},
"startTime": 1754159400,
"participants": {
"participant1Id": 2540,
"participant1Name": "Arminia Bielefeld",
"participant2Id": 2588,
"participant2Name": "Fortuna Dusseldorf"
}
},
"outcomeInfo": {
"marketId": 101,
"marketName": "Full Time Result",
"marketNameShort": "1X2",
"marketType": "1x2",
"period": "fulltime",
"playerProp": false,
"handicap": 0,
"outcomeId": 103,
"outcomeName": "2"
},
"playerInfo": null,
"currencyInfo": {
"currency": "USD",
"currencyValue": 1,
"updatedAt": "2026-02-07T17:29:32+00:00"
}
},
{
"orderId": 372,
"requestUuid": "be81ba8f-55f4-48ed-a6f9-69b8d920263b",
"allowedBookmakers": "sharpbet",
"fixtureId": "id1000004461512432",
"outcomeId": 103,
"playerId": 0,
"orderPrice": 2.65,
"orderStake": 10,
"filledStake": 10,
"userRef": "bettor1234",
"testOrder": false,
"orderCurrency": "USD",
"back": true,
"expiresAt": "2026-02-07T16:18:34.366795+00:00",
"acceptBetterOdds": true,
"acceptPartialStake": true,
"clientName": "demo",
"orderStatus": "FILLED",
"createdAt": "2026-02-07T16:18:29.366795+00:00",
"updatedAt": "2026-02-07T16:18:29.366795+00:00",
"meta": null,
"bets": [
{
"betId": 91,
"orderId": 372,
"bookmaker": "sharpbet",
"bookmakerBetId": "63aeba8d-a2d6-49ba-a6cd-7ce70bb17701",
"placedPrice": 2.65,
"placedStake": 10,
"placedCurrency": "USD",
"placedAt": "2026-02-07T16:18:29.300906+00:00",
"betStatus": "CONFIRMED",
"settlementStatus": "UNSETTLED",
"clientName": "demo",
"testBet": false,
"userRef": "bettor1234",
"requestUuid": "be81ba8f-55f4-48ed-a6f9-69b8d920263b",
"declineReason": null
}
],
"fixtureInfo": {
"fixtureId": "id1000004461512432",
"status": {
"live": false,
"statusId": 0,
"statusName": "Pre-Game"
},
"sport": {
"sportId": 10,
"sportName": "Soccer"
},
"tournament": {
"tournamentId": 44,
"tournamentName": "2. Bundesliga",
"categoryName": "Germany"
},
"startTime": 1754159400,
"participants": {
"participant1Id": 2540,
"participant1Name": "Arminia Bielefeld",
"participant2Id": 2588,
"participant2Name": "Fortuna Dusseldorf"
}
},
"outcomeInfo": {
"marketId": 101,
"marketName": "Full Time Result",
"marketNameShort": "1X2",
"marketType": "1x2",
"period": "fulltime",
"playerProp": false,
"handicap": 0,
"outcomeId": 103,
"outcomeName": "2"
},
"playerInfo": null,
"currencyInfo": {
"currency": "USD",
"currencyValue": 1,
"updatedAt": "2026-02-07T17:29:32+00:00"
}
}
],
"count": 2,
"hasMore": false,
"nextCursor": null
}Orders
Get orders
Retrieve orders with keyset pagination. At least one filter must be provided.
Filters (OR logic):
orderIds— Comma-separated list of order IDsrequestUuids— Comma-separated list of request UUIDsuserRef— User reference string
Pagination:
- Results are ordered by orderId descending (newest first)
- Use
afterOrderIdfromnextCursorin the response to fetch the next page hasMoreindicates if more results are available
Returns enriched order details including bets and fixture/outcome/player metadata.
Order Status Values: PENDING, PROCESSING, FILLED, PARTIALLY_FILLED, CANCELLED, REJECTED, EXPIRED, FAILED
GET
/
orders
Get orders
Authorizations
API key for authentication. Contact contact@55-tech.com to obtain a key.
Query Parameters
Comma-separated order IDs (e.g., '123,456,789')
Comma-separated request UUIDs
User reference to filter by
Cursor for pagination: fetch orders with orderId less than this value
Maximum number of orders to return per page
Required range:
1 <= x <= 1000⌘I